Bug 26418 - The "description" for REFUND accountlines is not translatable
Summary: The "description" for REFUND accountlines is not translatable
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23442
Blocks: 26403
  Show dependency treegraph
 
Reported: 2020-09-09 14:20 UTC by Martin Renvoize
Modified: 2020-10-22 13:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26418: Fix translatability of REFUND credit type (4.97 KB, patch)
2020-09-09 14:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26418: Fix translatability of REFUND credit type (5.03 KB, patch)
2020-09-22 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26418: Fix translatability of REFUND credit type (5.50 KB, patch)
2020-09-23 20:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26418: Fix translatability of REFUND credit type (5.50 KB, patch)
2020-09-23 20:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26418: [20.05] Fix translatability of REFUND credit type (3.64 KB, patch)
2020-10-22 13:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-09-09 14:20:53 UTC
The description of REFUND type accountline credits introduced with the "issue refund" feature is not translatable.

To test:
- Make sure a language with a complete translation is installed
- Switch to the language
- Go to any user account
- Add a manual invoice
- Pay it off fully or partially
- Click on "issue refund"
- Confirm the refund
- Check the description of the line in the patron account is not translated.
Comment 1 Martin Renvoize 2020-09-09 14:35:06 UTC
Created attachment 109820 [details] [review]
Bug 26418: Fix translatability of REFUND credit type
Comment 2 Owen Leonard 2020-09-22 14:35:09 UTC
Created attachment 110559 [details] [review]
Bug 26418: Fix translatability of REFUND credit type

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-09-23 20:26:12 UTC
Created attachment 110625 [details] [review]
Bug 26418: Fix translatability of REFUND credit type

The description of REFUND type accountline credits introduced with the "issue refund" feature is not translatable.

To test:
- Make sure a language with a complete translation is installed
- Switch to the language
- Go to any user account
- Add a manual invoice
- Pay it off fully or partially
- Click on "issue refund"
- Confirm the refund
- Check the description of the line in the patron account is not translated.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-09-23 20:27:42 UTC
Created attachment 110626 [details] [review]
Bug 26418: Fix translatability of REFUND credit type

The description of REFUND type accountline credits introduced with the "issue refund" feature is not translatable.

To test:
- Make sure a language with a complete translation is installed
- Switch to the language
- Go to any user account
- Add a manual invoice
- Pay it off fully or partially
- Click on "issue refund"
- Confirm the refund
- Check the description of the line in the patron account is not translated.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-09-28 14:12:06 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 13:55:20 UTC
doesn't apply clean to 20.05.x, no backport
Comment 7 Katrin Fischer 2020-10-20 13:58:52 UTC
Could we maybe get a rebase here? This is an issue visible in the OPAC and would love to see it fixed.
Comment 8 Martin Renvoize 2020-10-22 13:25:29 UTC
Created attachment 112195 [details] [review]
Bug 26418: [20.05] Fix translatability of REFUND credit type

The description of REFUND type accountline credits introduced with the "issue refund" feature is not translatable.

To test:
- Make sure a language with a complete translation is installed
- Switch to the language
- Go to any user account
- Add a manual invoice
- Pay it off fully or partially
- Click on "issue refund"
- Confirm the refund
- Check the description of the line in the patron account is not translated.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-10-22 13:25:54 UTC
20.05 rebased patch attached.